## org.apache.fop.fo.pagination
Class LayoutMasterSet

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.LayoutMasterSet

public class LayoutMasterSet
extends FObj

Inner Class Summary
`static class` `LayoutMasterSet.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `LayoutMasterSet(FObj parent, PropertyList propertyList)`

Method Summary
`protected void` `addPageSequenceMaster(java.lang.String masterName, PageSequenceMaster pageSequenceMaster)`
`protected void` `addSimplePageMaster(SimplePageMaster simplePageMaster)`
`protected void` `checkRegionNames()`
`protected PageSequenceMaster` `getPageSequenceMaster(java.lang.String masterName)`
`protected SimplePageMaster` `getSimplePageMaster(java.lang.String masterName)`
`static FObj.Maker` `maker()`
`protected boolean` `regionNameExists(java.lang.String regionName)` Checks whether or not a region name exists in this master set
`protected void` `resetPageMasters()`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutMasterSet

    protected LayoutMasterSet(FObj parent,
                              PropertyList propertyList)
                       throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### addSimplePageMaster

    protected void addSimplePageMaster(SimplePageMaster simplePageMaster)
                                throws FOPException

### getSimplePageMaster

    protected SimplePageMaster getSimplePageMaster(java.lang.String masterName)

### addPageSequenceMaster

    protected void addPageSequenceMaster(java.lang.String masterName,
                                         PageSequenceMaster pageSequenceMaster)
                                  throws FOPException

### getPageSequenceMaster

    protected PageSequenceMaster getPageSequenceMaster(java.lang.String masterName)

### resetPageMasters

    protected void resetPageMasters()

### checkRegionNames

    protected void checkRegionNames()
                             throws FOPException

### regionNameExists

    protected boolean regionNameExists(java.lang.String regionName)

  Checks whether or not a region name exists in this master set

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.